*simulate shock on remittances

set more off

*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}

use "${gsdData}/1-CleanTemp/wfilez.dta", clear

merge 1:1 hhid using "${gsdData}/1-CleanInput/hh.dta", nogen keep(master match) keepusing(S4_J03C107 S4_J03C_U107 S4_J03C108 S4_J03C_U108)

gen remit1 = S4_J03C107 * 1000^(S4_J03C_U107-1)
gen remit2 = S4_J03C108 * 1000^(S4_J03C_U108-1)

gen remit = 0
replace remit = remit + remit1 if remit1<.
replace remit = remit + remit2 if remit2<.
replace remit = remit/1000

gen rremitpc = remit/paasche / hsize / 12
label var rremitpc "Real remittances (1000 shillings/person/month"

gen poor1 = rpce<zupper
gen poor2 = (rpce-rremitpc)<zupper
gen poor3 = (rpce-rremitpc/0.98*0.04/2)<zupper

mean poor? [pweight=weight*hsize], over(urban)
mean poor? [pweight=weight*hsize]

keep hhid rremitpc

save "${gsdData}/1-CleanTemp/remittances.dta", replace
