*purpose: process to integrate the final datasets

set more off


*integrate the household dataset 
use "${gsdData}/1-CleanInput/hh.dta", clear
merge 1:1 hhid using "${gsdData}/1-CleanTemp/wfilez.dta", nogen assert(match) 
order urban hsize paasche rdurables rdurables_pc rfood rfood_pc rnonfood rnonfood_pc pce rpce rthe x_gift x_purch x_self xdurables xdurables_pc xfood xfood_pc xnonfood xnonfood_pc the kcal_tot kcal_p kcal_s kcal_g protein_tot protein_p protein_s protein_g kcal_sum protein_sum rpcedec_u rpcedec_r rpcequi_u rpcequi_r ukcal ukcal_000 zfood_u zfood_r zlower_u zlower_r zlower zupper_u zupper_r zupper, after(enum_gender)
label var paasche "Paasche Index"
drop rdurables rfood rnonfood pce rthe x_gift x_purch x_self xdurables xdurables_pc xfood xfood_pc xnonfood xnonfood_pc the kcal_tot kcal_p kcal_s kcal_g protein_tot protein_p protein_s protein_g kcal_sum protein_sum rpcedec_u rpcedec_r ukcal ukcal_000 rdurables_pc rfood_pc rnonfood_pc
merge 1:1 hhid using "${gsdData}/1-CleanTemp/remittances.dta", nogen assert(match) 
order rremitpc, after(zupper)
save "${gsdData}/1-CleanOutput/hh.dta", replace


*integrate the household member dataset
use "${gsdData}/1-CleanInput/sl_adept_all.dta", clear
drop rdurables rdurables_pc rfood rfood_pc rnonfood rnonfood_pc pce rpce rthe xdurables xdurables_pc xfood xfood_pc xnonfood xnonfood_pc the rpcedec_u rpcedec_r rpcequi_u rpcequi_r zupper_u zupper_r zupper spouse voter hhead rhealth health_pc the_h rnonfood_h pce_h rpce_h rthe_h the_h weight2
order hhid pid hhid urban weight 
rename pid hhmid
label var hhmid "Household Member ID"
order health, after(lit_any)
merge m:1 hhid using "${gsdData}/1-CleanTemp/wfilez.dta", nogen assert(match) keepusing(strata region district cluster paasche rpce rpcequi_u rpcequi_r)
label var paasche "Paasche Index"
order strata region district cluster, after(hhmid)
order paasche rpce rpcequi_u rpcequi_r, after(weight)
save "${gsdData}/1-CleanOutput/hhm.dta", replace 


