*-------------------------------------------------------------------
*
*     SOMALILAND 
*     HOUSEHOLD SURVEY (2013)
*     
*     This file contains the sequence of do-files
*     written to carry out the poverty analysis
*     for Somaliland 2013
*
*          
*------------------------------------------------------------------ 


clear all
set more off
set maxvar 10000

*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}

*Decide if you wan to run the original version of the pipeline ("0")
*or a version with comparable consumption items to SHFS 2016 ("1")
global run2016vs2013 "1"

*Standardize food items
qui run "${gsdDo}/0-3-food_standardize.do" 		

*Calculate household food expenditures
qui run "${gsdDo}/0-4-food_aggregate.do"   		

*Calculate household food expenditures
qui run "${gsdDo}/0-5-nonfood_aggregate.do"   	

*Estimate consumption flow from durables
qui run "${gsdDo}/0-6-durables.do"					

*Estimate spatial price index separately by urban/rural, at the district level - democratic
qui run "${gsdDo}/0-7-laspeyres_demow.do"		

*Construct nominal and real consumption aggregate
qui run "${gsdDo}/0-8-consumption_aggregate.do"	

*Estimate CBN poverty line
qui run "${gsdDo}/0-9-poverty_line.do"			

*Calculate weights for temporal CPI
qui run "${gsdDo}/0-10-cpi_weights.do"	

*Simulate a shock of remittances
run "${gsdDo}/1-0-remittances.do"	

*Process the final datasets
qui run "${gsdDo}/1-1-integrate_datasets.do"		
